Subject: bluealsa only comes with systemd service and as such is unusable on devuan

From: Klaus Ethgen <[email-masked]>
Date: Mon, 3 Apr 2023 15:52:17 +0100

Package: bluez-alsa-utils
Version: 4.0.0-2
Severity: grave

I want to use my bluetooth headset but I don't use pötterware like
pulseaudio.

bluez is a dropin replacement for this but I was unable to use it. Now I
see that the bluealsa daemon is only start with a systemd service and
not by udev or init. So this is unusable on devuan.

Please create starup files to that package independent of systemd.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 6.1.0-7-amd64 (SMP w/16 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages bluez-alsa-utils depends on:
ii  libasound2               1.2.8-1+b1
ii  libasound2-plugin-bluez  4.0.0-2
ii  libbluetooth3            5.66-1
ii  libc6                    2.36-8
ii  libdbus-1-3              1.14.6-1devuan1
ii  libglib2.0-0             2.74.6-1
ii  libldacbt-abr2           2.0.2.3+git20200429+ed310a0-4
ii  libldacbt-enc2           2.0.2.3+git20200429+ed310a0-4
ii  libsbc1                  2.0-1

bluez-alsa-utils recommends no packages.

bluez-alsa-utils suggests no packages.

-- no debconf information
Gruß
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C